
Redmine - Defect #2324

Wiki preview fails when title contains '

2008-12-12 09:51 - François M

Status: Closed Start date: 2008-12-12

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.3

Description

When you set a wiki entry title that contains an apostrophe (') char. Then preview fails due to a javascript error : the apostrophe char

is not escaped in the request.

History

#1 - 2008-12-12 13:17 - Jean-Philippe Lang

- Status changed from New to Resolved

I'm not able to reproduce with latest trunk.

The title seems to be properly escaped by a backslash in the javascript of the preview link on wiki/edit view:

<a accesskey="r" href="#" onclick="new Ajax.Updater('preview', '/wiki/redmine/L\'apostrophe/preview',

{asynchronous:true, evalScripts:true, method:'post', onComplete:function(request){Element.scrollTo('preview')}

,

parameters:Form.serialize('wiki_form')}); return false;">Preview</a>

#2 - 2008-12-30 14:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed
